// Bibliotheken für das LCD einbinden
#include <Wire.h> // I2C
#include <Adafruit_MCP23017.h>
#include <Adafruit_RGBLCDShield.h>

int ledPin = 13; // Der übliche LED-Pin
int IRpin  = A2; // Der Pin für den Infrarotsensorausgang

// Ein lcd Objekt zur Ansteuerung erstellen
Adafruit_RGBLCDShield lcd = Adafruit_RGBLCDShield();

// Diese #defines machen es einfach, die Farben
// für die Hintergrundbeleuchtung im Code zu verwenden.
#define RED     0x1
#define YELLOW  0x3
#define GREEN   0x2
#define TEAL    0x6
#define BLUE    0x4
#define VIOLET  0x5
#define WHITE   0x7


void setup()
{
  pinMode(ledPin, OUTPUT);  // LED-Pin ist ein Ausgang
  pinMode(IRpin, INPUT);    // IR-Pin als Eingang definieren

  // Das LCD ist 16 Zeichen breit und hat 2 Zeilen
  lcd.begin(16, 2);

  // Text komplett löschen
  lcd.clear();

  // Hintergrundfarbe auf weiß setzen
  lcd.setBacklight(WHITE);
}


void loop()
{
  // Sensor (Pin) einlesen
  float spannungswert = analogRead(IRpin);
  
  // umrechnen in cm
  float entfernung = (6787 / (spannungswert - 3)) - 4;

  // Solange Distanz <= 80 cm
  if (entfernung <= 80)
  {
    // Cursor setzen und Text auf LCD ausgeben
    lcd.setCursor(0, 0);
    //         1234567890123456
    lcd.print("Huch, Hindernis!");

    lcd.setCursor(0, 1);
    lcd.print("Distanz: ");
    lcd.print(entfernung);
    lcd.print("cm");
  }
  else
  {
    // Cursor setzen und Text auf LCD ausgeben
    lcd.setCursor(0, 0);
    //         1234567890123456
    lcd.print("Bahn frei... :-)");
    lcd.setCursor(0, 1);
    //         1234567890123456
    lcd.print("    Juhuuuu!    ");
  }

  // Ein bisschen Verzögerung für bessere Lesbarkeit.
  delay(100);
}

