int ledPin = 13; // Der übliche LED-Pin
int IRpin  = A0; // Der Pin für den Infrarotsensorausgang


void setup()
{
  pinMode(ledPin, OUTPUT);  // LED-Pin ist ein Ausgang
  pinMode(IRpin, INPUT);    // IR-Pin als Eingang definieren
  
  // Serielle Ausgabe auf dem Bilschirm starten
  Serial.begin(9600);
}


void loop()
{
  // Sensor (Pin) einlesen
  float spannungswert = analogRead(IRpin);
  
  // umrechnen in cm
  float entfernung = (6787 / (spannungswert - 3)) - 4;

  // Solange Distanz <= 80 cm  
  if (entfernung <= 80)
  {
    // Distanz ausgeben
    Serial.print("Messwert: ");
    Serial.print(spannungswert);
    Serial.print(" / Entfernung: ");
    Serial.print(entfernung);
    Serial.print(" cm");
  }
  else
  {
    Serial.print("> 80 cm");
  }

  Serial.println();
  delay(500);
}

